#!/usr/bin/env python

#Universidad Nacional Autonoma de Mexico
#PAPIME PE 400216
#DGAPA
#Programacion y diseno: Hadassa Amelia Juarez Hernandez. 2016 Attributions in /attributions
#Uncommented version

import pygame
from pygame.locals import *
import os
import sys
from random import randint
EXEC_DIR = os.path.dirname(__file__)

class Mark(pygame.sprite.Sprite):
    def __init__(self, type):
        pygame.sprite.Sprite.__init__(self)
        self.type = type
    
        if sys.platform == 'darwin':
            mark_path = 'Images'
        else:
            mark_path = os.path.join(EXEC_DIR, 'Images')
        
        if self.type == 'correcto':
            self.image = pygame.image.load(os.path.join(mark_path, 'correcto.png'))
        elif self.type == 'incorrecto':
            self.image = pygame.image.load(os.path.join(mark_path, 'incorrecto.png'))
        self.rect = self.image.get_rect()
        
        self.rect.topleft = [50, 50]
        
        self.lifespan = 5

    def update(self):
        self.lifespan -= 1
        if self.type == 'correcto':
            x, y = (300, 150)
        else:
            x, y = [300, 150]
        self.rect.topleft = [x, y]
    
    def reset(self):
        self.lifespan = 10 
